<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.base.mapper.TerminalFaultMapper">

    <resultMap id="BaseResultMap" type="com.zksy.base.domain.TerminalFault">
            <id property="faultId" column="fault_id" jdbcType="BIGINT"/>
            <result property="faultNo" column="fault_no" jdbcType="VARCHAR"/>
            <result property="deviceId" column="device_id" jdbcType="VARCHAR"/>
            <result property="deviceCode" column="device_code" jdbcType="VARCHAR"/>
            <result property="alarmId" column="alarm_id" jdbcType="VARCHAR"/>
            <result property="faultLevel" column="fault_level" jdbcType="TINYINT"/>
            <result property="faultDesc" column="fault_desc" jdbcType="VARCHAR"/>
            <result property="faultSource" column="fault_source" jdbcType="TINYINT"/>
            <result property="faultStatus" column="fault_status" jdbcType="TINYINT"/>
            <result property="happenTime" column="happen_time" jdbcType="TIMESTAMP"/>
            <result property="handleUserId" column="handle_user_id" jdbcType="BIGINT"/>
            <result property="handleTime" column="handle_time" jdbcType="TIMESTAMP"/>
            <result property="handleResult" column="handle_result" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        fault_id,fault_no,device_id,
        device_code,alarm_id,fault_level,
        fault_desc,fault_source,fault_status,
        happen_time,handle_user_id,handle_time,
        handle_result,create_time,update_time
    </sql>
</mapper>
